%define gitcommit_full 6aa08a659a701feb9c08a4cb1628b92645f41309
%define gitcommit %(c=%{gitcommit_full}; echo ${c:0:7})
%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%global optflags %{optflags} -flto
%global build_ldflags %{build_ldflags} -flto

Name:           stlink
Version:        1.6.1
Release:        %mkrel 1
Summary:        STM32 discovery line Linux programmer
Group:          Development/Tools
License:        BSD
Url:            https://github.com/texane/stlink
Source0:        https://github.com/texane/stlink/tarball/%{gitcommit_full}

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libusb-1.0) >= 1.0.22
BuildRequires:  pkgconfig(udev)

Requires:       pkgconfig(udev)

%description
STLINK v1/v2 JTAG/SWD debugging/flashing tool for STM32 micro-controllers.
######################################
%package        gui
Summary:        GUI for STM32 discovery line linux programmer
Requires:       %{libname} = %{version}-%{release}
Requires:       hicolor-icon-theme
Obsoletes:      %{name} < 1.5.1-2

%description    gui
STLINK v1/v2 JTAG/SWD debugging/flashing tool for STM32 micro-controllers.

#####################################
%package -n %{devname}
Summary:        Include files and mandatory libraries for development
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Include files and mandatory libraries for development.
######################################

%package -n %{libname}
Summary: Library files for stlink

%description -n %{libname}
Library files.
######################################

%prep
%autosetup -p1 -n %{name}-org-%{name}-%{gitcommit}

%build
%cmake \
        -DCMAKE_AR=/usr/bin/gcc-ar \
        -DCMAKE_RANLIB=/usr/bin/gcc-ranlib \
        -DCMAKE_NM=/usr/bin/gcc-nm \
        -DSTLINK_UDEV_RULES_DIR="%{_udevrulesdir}" \
        -DSTLINK_STATIC_LIB=OFF
%cmake_build

%install
%cmake_install

mv %{buildroot}%{_datadir}/%{name}/* \
%{buildroot}%{_datadir}/

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-gui.desktop

rm -f %{buildroot}/%{_libdir}/libstlink.a

%files gui
%doc README.md CHANGELOG.md
%license LICENSE.md
%config(noreplace) %{_sysconfdir}/modprobe.d/%{name}*
%{_bindir}/*
%{_datadir}/applications/%{name}-gui.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}-gui.svg
%{_mandir}/man1/st-*.1*
%{_udevrulesdir}/49-%{name}*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*
%{_libdir}/lib%{name}.so



%changelog
* Sat Jun 06 2020 barjac <barjac> 1.6.1-1.mga8
+ Revision: 1590661
- new version 1.6.1
- fix paths and files lists

* Fri Feb 21 2020 barjac <barjac> 1.6.0-1.mga8
+ Revision: 1549195
- new version 1.6.0

* Tue Feb 18 2020 umeabot <umeabot> 1.5.1-3.mga8
+ Revision: 1538790
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Nov 18 2019 barjac <barjac> 1.5.1-2.mga8
+ Revision: 1461661
- Remove base package rpm
- libify and make -gui main rpm
- obsolete original %%name rpm

* Wed Nov 13 2019 barjac <barjac> 1.5.1-1.mga8
+ Revision: 1459913
- clean spec
- import stlink from Fedora

